server.port=8080

#mailer.input.url=http://127.0.0.1:8071/api/v1
#mailer.output.url=http://127.0.0.1:8070/api/v1
#mailer.data.url=http://127.0.0.1:8090/api/v1

mailer.input.url=http://input-service/api/v1
mailer.output.url=http://output-service/api/v1
mailer.data.url=http://data-service/api/v1

mailer.auth.name=auth-service
mailer.auth.path=/auth
mailer.mail.name=mail-service
mailer.mail.path=/api/v1

eureka.instance.hostname=localhost
eureka.client.service-url.default-zone=http://127.0.0.1:8761/eureka

spring.cloud.gateway.discovery.locator.enabled=true
eureka.instance.instance-id=${spring.application.name}:${random.uuid}
spring.cloud.loadbalancer.ribbon.enabled=false

spring.cloud.gateway.routes[0].id=${mailer.mail.name}
spring.cloud.gateway.routes[0].uri=lb://${mailer.mail.name}
spring.cloud.gateway.routes[0].predicates[0]=Path=${mailer.mail.path}/**
spring.cloud.gateway.routes[0].filters[0]=AuthFilter

spring.cloud.gateway.routes[1].id=${mailer.auth.name}
spring.cloud.gateway.routes[1].uri=lb://${mailer.auth.name}
spring.cloud.gateway.routes[1].predicates[0]=Path=${mailer.auth.path}/**